package com.hz.pm.api.open.controller;


import java.util.List;

import javax.validation.Valid;

import com.hz.pm.api.open.model.po.ReqMeetingExpertSignPO;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hz.pm.api.open.manage.OpenApiMeetingExpertInfoManage;
import com.hz.pm.api.open.model.po.ReqMeetingExpertInfoPO;
import com.hz.pm.api.open.model.vo.MeetingExpertToMhDTO;

import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * <p>
 * 会议专家信息外部调用接口
 * </p>
 * @author CMM
 *
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/open/api/meeting-expert-info")
@RequiredArgsConstructor
public class OpenApiMeetingExpertInfoController {

    private final OpenApiMeetingExpertInfoManage openMeetingExpertInfoManage;

    @PostMapping("/list")
    @ApiOperation("获取已抽取完成会议确定参加会议且未签到的专家信息列表")
    public List<MeetingExpertToMhDTO> infoList(@Valid @RequestBody ReqMeetingExpertInfoPO po) {
        return openMeetingExpertInfoManage.infoList(po);
    }

    @PostMapping("/sign")
    @ApiOperation("获取已抽取完成会议确定参加会议且未签到的专家信息列表")
    public String sign(@Valid @RequestBody ReqMeetingExpertSignPO po) {
        return openMeetingExpertInfoManage.sign(po);
    }
}
